description: >
    Implement to provide entity manager configuration for the gpio based leak
    detector.

properties:
    - name: Type
      type: string
      description: >
          The type of configuration object.
      flags:
          - readonly
    - name: Name
      type: string
      description: >
          The name of the leak detector.
      flags:
          - readonly
    - name: SubType
      type: string
      description: >
          The type of leak detector from
          https://redfish.dmtf.org/schemas/v1/LeakDetector.v1_2_0.json.
      flags:
          - readonly
    - name: PinName
      type: string
      description: >
          The GPIO pin name for the leak detector.
      flags:
          - readonly
    - name: Polarity
      type: string
      description: >
          The GPIO pin polarity depicting leak detector's active status.
      flags:
          - readonly
    - name: Level
      type: string
      description: >
          The severity level associated with the leak detector based on certain
          attributes such as physical placement of detectors.
      flags:
          - readonly
